package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "care_vital_signs_log")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class VitalSignsLogDO implements Serializable {

    /**
     * null
     */
    @Column(name = "id")
    @ApiModelProperty(value = "null", required = false)
    @Id(name = "id")
    private Integer id;
    /**
     * null
     */
    @Column(name = "create_time")
    @ApiModelProperty(value = "null", required = false)
    private Long createTime;
    /**
     * null
     */
    @Column(name = "member_id")
    @ApiModelProperty(value = "null", required = false)
    private Integer memberId;
    /**
     * null
     */
    @Column(name = "member_nickname")
    @ApiModelProperty(value = "null", required = false)
    private String memberNickname;
    /**
     * 设备ID
     */
    @Column(name = "device_id")
    @ApiModelProperty(value = "设备ID", required = false)
    private Integer deviceId;
    /**
     * 设备IMEI
     */
    @Column(name = "imei")
    @ApiModelProperty(value = "设备IMEI", required = false)
    private String imei;
    /**
     * 日志时间
     */
    @Column(name = "log_time")
    @ApiModelProperty(value = "日志时间", required = false)
    private Long logTime;
    /**
     * 告警ID
     */
    @Column(name = "setting_id")
    @ApiModelProperty(value = "告警ID", required = false)
    private Integer settingId;
    /**
     * 体征值
     */
    @Column(name = "vs_value")
    @ApiModelProperty(value = "体征值", required = false)
    private Double vsValue;
    /**
     * 是否警告
     */
    @Column(name = "alarm")
    @ApiModelProperty(value = "是否警告", required = false)
    private Boolean alarm;
    /**
     * 组别id
     */
    @Column(name = "group_id")
    @ApiModelProperty(value = "组别id", required = false)
    private Integer groupId;
    /**
     * 参数id
     */
    @Column(name = "param_id")
    @ApiModelProperty(value = "参数id", required = false)
    private Integer paramId;
    /**
     * 日志组id
     */
    @Column(name = "log_group_id")
    @ApiModelProperty(value = "日志组id", required = false)
    private String logGroupId;
    /**
     * 来源设备：0手机端 1手表 2长桑h8
     */
    @Column(name = "device_type")
    @ApiModelProperty(value = "来源设备：0手机端 1手表 2长桑h8", required = false)
    private String deviceType;
    /**
     * null
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "null", required = false)
    private String unionId;


    @PrimaryKeyField
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }


    public Long getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Long createTime) {
        this.createTime = createTime;
    }


    public Integer getMemberId() {
        return memberId;
    }

    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }


    public String getMemberNickname() {
        return memberNickname;
    }

    public void setMemberNickname(String memberNickname) {
        this.memberNickname = memberNickname;
    }


    public Integer getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(Integer deviceId) {
        this.deviceId = deviceId;
    }


    public String getImei() {
        return imei;
    }

    public void setImei(String imei) {
        this.imei = imei;
    }


    public Long getLogTime() {
        return logTime;
    }

    public void setLogTime(Long logTime) {
        this.logTime = logTime;
    }


    public Integer getSettingId() {
        return settingId;
    }

    public void setSettingId(Integer settingId) {
        this.settingId = settingId;
    }


    public Double getVsValue() {
        return vsValue;
    }

    public void setVsValue(Double vsValue) {
        this.vsValue = vsValue;
    }


    public Boolean getAlarm() {
        return alarm;
    }

    public void setAlarm(Boolean alarm) {
        this.alarm = alarm;
    }


    public Integer getGroupId() {
        return groupId;
    }

    public void setGroupId(Integer groupId) {
        this.groupId = groupId;
    }


    public Integer getParamId() {
        return paramId;
    }

    public void setParamId(Integer paramId) {
        this.paramId = paramId;
    }


    public String getLogGroupId() {
        return logGroupId;
    }

    public void setLogGroupId(String logGroupId) {
        this.logGroupId = logGroupId;
    }


    public String getDeviceType() {
        return deviceType;
    }

    public void setDeviceType(String deviceType) {
        this.deviceType = deviceType;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }

}
